Bug 1411502 - Review Request: flr - Fedora RelEng python libraries and command line tools
Summary: Review Request: flr - Fedora RelEng python libraries and command line tools
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Randy Barlow
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-09 21:01 UTC by Adam Miller
Modified: 2017-03-24 18:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-24 17:50:38 UTC
Type: ---
randy: fedora-review+


Attachments (Terms of Use)

Description Adam Miller 2017-01-09 21:01:32 UTC
Spec URL: https://maxamillion.fedorapeople.org/flr.spec
SRPM URL: https://maxamillion.fedorapeople.org/flr-0.0.1-1.fc25.src.rpm
Description: 
This is a library dedicated to making Release Engineering tasks for Fedora as
generic and re-usable as possible with the primary goal to make all scripts
housed in the Fedora Release Engineering pagure git repo be small simple glue
code around calls to functions found within these library modules.

There are also a set a small command line utilities that present the
functionality of these python APIs for scripting, automation, or sudo privilege
delegation.


Fedora Account System Username: maxamillion

Comment 1 Randy Barlow 2017-01-11 15:12:18 UTC
It's approved as-is, but I do have a few suggestions at your option:

* Will the Python library ever be used by something other than the CLI tool? If so, consider putting the Python library in a python2-flr subpackage so that a) it is named in a way that packagers expect Python libraries to be named, and b) it can be installed independently of the CLI tools (not as big of a deal as a).
* I filed https://pagure.io/flr/issue/5 as a suggestion to make your spec file a little cleaner. It'll also make it easier to just do a setup.py install and have it work.
* If you don't do the above, I recommend putting a -p on that install command to preserve the timestamp.
* Consider running the tests in the spec file.
* rpmlint is pretty upset about using env to find python2. I don't personally mind the use of env, but thought I'd make note of that.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* GPL (v2 or later)", "GPL (v2 or later)",
     "Unknown or generated". 4 files have unknown license. Detailed output
     of licensecheck in /home/rbarlow/reviews/1411502-flr/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
     randy: It does appear that upstream has tests.
[!]: Packages should try to preserve timestamps of original installed
     files.
     randy: If you slap a -p on that install command, it'll preserve the
            timestamp.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: flr-0.0.1-1.fc26.noarch.rpm
          flr-0.0.1-1.fc26.src.rpm
flr.noarch: W: spelling-error %description -l en_US pagure -> pasture
flr.noarch: W: spelling-error %description -l en_US repo -> rope, rep, reps
flr.noarch: W: spelling-error %description -l en_US sudo -> suds, ludo, sumo
flr.noarch: E: wrong-script-interpreter /usr/bin/flr-docker /usr/bin/env python2
flr.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/flr/__init__.py /usr/bin/env python2
flr.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/flr/__init__.py 644 /usr/bin/env python2
flr.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/flr/disk.py /usr/bin/env python2
flr.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/flr/disk.py 644 /usr/bin/env python2
flr.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/flr/dkr.py /usr/bin/env python2
flr.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/flr/dkr.py 644 /usr/bin/env python2
flr.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/flr/koji.py /usr/bin/env python2
flr.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/flr/koji.py 644 /usr/bin/env python2
flr.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/flr/mash.py /usr/bin/env python2
flr.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/flr/mash.py 644 /usr/bin/env python2
flr.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/flr/rpm.py /usr/bin/env python2
flr.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/flr/rpm.py 644 /usr/bin/env python2
flr.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/flr/sigul.py /usr/bin/env python2
flr.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/flr/sigul.py 644 /usr/bin/env python2
flr.noarch: W: no-manual-page-for-binary flr-docker
flr.src: W: spelling-error %description -l en_US pagure -> pasture
flr.src: W: spelling-error %description -l en_US repo -> rope, rep, reps
flr.src: W: spelling-error %description -l en_US sudo -> suds, ludo, sumo
2 packages and 0 specfiles checked; 15 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
flr.noarch: W: spelling-error %description -l en_US pagure -> pasture
flr.noarch: W: spelling-error %description -l en_US repo -> rope, rep, reps
flr.noarch: W: spelling-error %description -l en_US sudo -> suds, ludo, sumo
flr.noarch: E: wrong-script-interpreter /usr/bin/flr-docker /usr/bin/env python2
flr.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/flr/__init__.py /usr/bin/env python2
flr.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/flr/__init__.py 644 /usr/bin/env python2
flr.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/flr/disk.py /usr/bin/env python2
flr.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/flr/disk.py 644 /usr/bin/env python2
flr.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/flr/dkr.py /usr/bin/env python2
flr.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/flr/dkr.py 644 /usr/bin/env python2
flr.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/flr/koji.py /usr/bin/env python2
flr.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/flr/koji.py 644 /usr/bin/env python2
flr.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/flr/mash.py /usr/bin/env python2
flr.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/flr/mash.py 644 /usr/bin/env python2
flr.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/flr/rpm.py /usr/bin/env python2
flr.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/flr/rpm.py 644 /usr/bin/env python2
flr.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/flr/sigul.py /usr/bin/env python2
flr.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/flr/sigul.py 644 /usr/bin/env python2
flr.noarch: W: no-manual-page-for-binary flr-docker
1 packages and 0 specfiles checked; 15 errors, 4 warnings.



Requires
--------
flr (rpmlib, GLIBC filtered):
    /usr/bin/env
    koji
    mash
    python(abi)
    python-click
    python-docker-py
    sigul



Provides
--------
flr:
    flr
    python2.7dist(flr)
    python2dist(flr)



Source checksums
----------------
https://releases.pagure.org/flr/flr-0.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : 8c928579dc1f9519523ab77dbef47492f6d199e9618429c90f9560102cb102d2
  CHECKSUM(SHA256) upstream package : 8c928579dc1f9519523ab77dbef47492f6d199e9618429c90f9560102cb102d2


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1411502
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Gwyn Ciesla 2017-01-12 16:22:38 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/flr

Comment 3 Fedora Update System 2017-01-12 20:18:10 UTC
flr-0.0.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2aded42557

Comment 4 Fedora Update System 2017-01-12 20:18:17 UTC
flr-0.0.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-60de8b663b

Comment 5 Fedora Update System 2017-01-12 20:18:22 UTC
flr-0.0.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-eedad33ad3

Comment 6 Fedora Update System 2017-01-13 07:48:30 UTC
flr-0.0.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-60de8b663b

Comment 7 Fedora Update System 2017-01-13 08:27:23 UTC
flr-0.0.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-eedad33ad3

Comment 8 Fedora Update System 2017-01-13 08:32:46 UTC
flr-0.0.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2aded42557

Comment 9 Fedora Update System 2017-02-08 16:52:08 UTC
flr-0.0.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b86629264d

Comment 10 Fedora Update System 2017-02-08 16:52:15 UTC
flr-0.0.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6fdcd2790e

Comment 11 Fedora Update System 2017-02-08 16:52:20 UTC
flr-0.0.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-640794de99

Comment 12 Fedora Update System 2017-02-09 21:18:16 UTC
flr-0.0.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-640794de99

Comment 13 Fedora Update System 2017-02-09 21:52:12 UTC
flr-0.0.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6fdcd2790e

Comment 14 Fedora Update System 2017-02-09 22:21:23 UTC
flr-0.0.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b86629264d

Comment 15 Fedora Update System 2017-03-09 17:10:43 UTC
flr-0.0.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3e209d6d6b

Comment 16 Fedora Update System 2017-03-09 17:10:52 UTC
flr-0.0.3-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-af2cdfa185

Comment 17 Fedora Update System 2017-03-09 17:10:57 UTC
flr-0.0.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-57d2535dcb

Comment 18 Fedora Update System 2017-03-11 12:49:48 UTC
flr-0.0.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-57d2535dcb

Comment 19 Fedora Update System 2017-03-11 13:53:39 UTC
flr-0.0.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3e209d6d6b

Comment 20 Fedora Update System 2017-03-11 14:25:27 UTC
flr-0.0.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-af2cdfa185

Comment 21 Fedora Update System 2017-03-14 21:48:26 UTC
flr-0.0.3-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-af2cdfa185

Comment 22 Fedora Update System 2017-03-15 19:57:31 UTC
flr-0.0.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-af2cdfa185

Comment 23 Fedora Update System 2017-03-24 17:50:38 UTC
flr-0.0.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2017-03-24 18:55:05 UTC
flr-0.0.3-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.